Bug 212237 - CVE-2006-5467 Ruby CGI multipart parsing DoS
CVE-2006-5467 Ruby CGI multipart parsing DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
impact=moderate,reported=20061024,emb...
: Security
Depends On:
Blocks: 213726
  Show dependency treegraph
 
Reported: 2006-10-25 15:25 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0729
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-08 10:51:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (378 bytes, patch)
2006-10-25 15:28 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-10-25 15:25:09 EDT
Jeremy Kemper mailed this information to vendor-sec:

    Fix an exploitable bug in CGI multipart parsing which affects Ruby <= 1.8.5
    when the input stream returns "" (empty string) instead of nil on EOF.
    Certain malformed multipart requests leave the parser in a non-terminating
    state, leaving the program vulnerable to denial of service attack. The fix
    more carefully checks for input stream EOF.
      affected: standalone CGI, Mongrel
      unaffected: FastCGI, mod_ruby, WEBrick

    This fully closes a previously-reported but partially-fixed vulnerability:
      http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0983
      http://www.securityfocus.com/bid/11618/info
Comment 1 Josh Bressers 2006-10-25 15:26:46 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Josh Bressers 2006-10-25 15:28:11 EDT
Created attachment 139389 [details]
Proposed patch
Comment 4 Josh Bressers 2006-10-26 13:26:23 EDT
Lifting embargo:
http://rubyforge.org/pipermail/mongrel-users/2006-October/001946.html
Comment 6 Akira TAGOH 2006-10-30 04:58:40 EST
should be fixed in ruby-1.6.4-2.AS21.4, ruby-1.6.8-9.EL3.7 and ruby-1.8.1-7.EL4.7
Comment 10 Akira TAGOH 2006-11-01 06:10:58 EST
built ruby-1.6.8-9.EL3.8 and ruby-1.8.1-7.EL4.8
Comment 14 Red Hat Bugzilla 2006-11-08 10:51:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0729.html

Note You need to log in before you can comment on or make changes to this bug.